[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONObject.Iterate

Iterate over all elements in the object

## Declaration

Source position: fpjson.pp line 691

`public procedure TJSONObject.Iterate(`
`Iterator: TJSONObjectIterator;`
`Data: TObject`
`);`

## Arguments

`Iterator` |  | Iterator callback, called for each element in the array.
`Data` |  | Data item passed to the iterator with each call.

## Description

Iterate iterates over all elements in the object, passing them one by one with name and value to the Iterator callback, together with the Data parameter. The iteration stops when all elements have been passed or when the iterator callback returned False in the Continue parameter.

## See also

TJSONObjectIterator |  | Iterator callback for TJSONObject.Iterate